GET

messages API

Retrieve and manage messages records from the Apps4Edu sync database.

Endpoint Path

GET /api/messages

CURL Example

curl "https://api.apps4education.co.uk/api/messages?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
rowHash char
sender varchar
senderType varchar
recipient varchar
recipientType varchar
subject text
message text
messageRead text
messageSent text
instant datetime
expirationDate datetime
isSchoolMessage text
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "rowHash": "example_value",
      "sender": "example_value",
      "senderType": "example_value",
      "recipient": "example_value",
      "recipientType": "example_value",
      "subject": "example_value",
      "message": "example_value",
      "messageRead": "example_value",
      "messageSent": "example_value",
      "instant": "example_value",
      "expirationDate": "example_value",
      "isSchoolMessage": true,
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.